﻿
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Windows;

namespace ICP.Reporting_Outbound_MetDaan.WPFReportViewer
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            // Bij opstarten van de aplicatie worden de korte datumnotatie en de
            // lange tijdnotatie van Windows correct gezet zodat universeel met datums
            // en tijden gewerkt wordt.
            CultureInfo ci = new CultureInfo(Thread.CurrentThread.CurrentCulture.Name);
            ci.DateTimeFormat.ShortDatePattern = "dd/MM/yyyy";
            ci.DateTimeFormat.DateSeparator = "-";
            ci.DateTimeFormat.LongTimePattern = "HH:mm:ss.fff";
            Thread.CurrentThread.CurrentCulture = ci;
        }
    }
}
